Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network190.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
190.0.0.0
Broadcast address
191.255.255.255
First usable
190.0.0.1
Last usable
191.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
B (default /16)
As numbers
Hex BE000000 · Integer 3187671040 to 3221225471
Reverse DNS zones
190.in-addr.arpa
191.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10111110.00000000.00000000.00000000190.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network10111110.00000000.00000000.00000000190.0.0.0
Broadcast10111111.11111111.11111111.11111111191.255.255.255
Split into smaller subnets/14

190.0.0.0/7 makes 128 subnets of /14.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1190.0.0.0/14190.0.0.1 to 190.3.255.254190.3.255.255262,142
2190.4.0.0/14190.4.0.1 to 190.7.255.254190.7.255.255262,142
3190.8.0.0/14190.8.0.1 to 190.11.255.254190.11.255.255262,142
4190.12.0.0/14190.12.0.1 to 190.15.255.254190.15.255.255262,142
5190.16.0.0/14190.16.0.1 to 190.19.255.254190.19.255.255262,142
6190.20.0.0/14190.20.0.1 to 190.23.255.254190.23.255.255262,142
7190.24.0.0/14190.24.0.1 to 190.27.255.254190.27.255.255262,142
8190.28.0.0/14190.28.0.1 to 190.31.255.254190.31.255.255262,142
9190.32.0.0/14190.32.0.1 to 190.35.255.254190.35.255.255262,142
10190.36.0.0/14190.36.0.1 to 190.39.255.254190.39.255.255262,142
11190.40.0.0/14190.40.0.1 to 190.43.255.254190.43.255.255262,142
12190.44.0.0/14190.44.0.1 to 190.47.255.254190.47.255.255262,142
13190.48.0.0/14190.48.0.1 to 190.51.255.254190.51.255.255262,142
14190.52.0.0/14190.52.0.1 to 190.55.255.254190.55.255.255262,142
15190.56.0.0/14190.56.0.1 to 190.59.255.254190.59.255.255262,142
16190.60.0.0/14190.60.0.1 to 190.63.255.254190.63.255.255262,142
17190.64.0.0/14190.64.0.1 to 190.67.255.254190.67.255.255262,142
18190.68.0.0/14190.68.0.1 to 190.71.255.254190.71.255.255262,142
19190.72.0.0/14190.72.0.1 to 190.75.255.254190.75.255.255262,142
20190.76.0.0/14190.76.0.1 to 190.79.255.254190.79.255.255262,142
21190.80.0.0/14190.80.0.1 to 190.83.255.254190.83.255.255262,142
22190.84.0.0/14190.84.0.1 to 190.87.255.254190.87.255.255262,142
23190.88.0.0/14190.88.0.1 to 190.91.255.254190.91.255.255262,142
24190.92.0.0/14190.92.0.1 to 190.95.255.254190.95.255.255262,142
25190.96.0.0/14190.96.0.1 to 190.99.255.254190.99.255.255262,142
26190.100.0.0/14190.100.0.1 to 190.103.255.254190.103.255.255262,142
27190.104.0.0/14190.104.0.1 to 190.107.255.254190.107.255.255262,142
28190.108.0.0/14190.108.0.1 to 190.111.255.254190.111.255.255262,142
29190.112.0.0/14190.112.0.1 to 190.115.255.254190.115.255.255262,142
30190.116.0.0/14190.116.0.1 to 190.119.255.254190.119.255.255262,142
31190.120.0.0/14190.120.0.1 to 190.123.255.254190.123.255.255262,142
32190.124.0.0/14190.124.0.1 to 190.127.255.254190.127.255.255262,142
33190.128.0.0/14190.128.0.1 to 190.131.255.254190.131.255.255262,142
34190.132.0.0/14190.132.0.1 to 190.135.255.254190.135.255.255262,142
35190.136.0.0/14190.136.0.1 to 190.139.255.254190.139.255.255262,142
36190.140.0.0/14190.140.0.1 to 190.143.255.254190.143.255.255262,142
37190.144.0.0/14190.144.0.1 to 190.147.255.254190.147.255.255262,142
38190.148.0.0/14190.148.0.1 to 190.151.255.254190.151.255.255262,142
39190.152.0.0/14190.152.0.1 to 190.155.255.254190.155.255.255262,142
40190.156.0.0/14190.156.0.1 to 190.159.255.254190.159.255.255262,142
41190.160.0.0/14190.160.0.1 to 190.163.255.254190.163.255.255262,142
42190.164.0.0/14190.164.0.1 to 190.167.255.254190.167.255.255262,142
43190.168.0.0/14190.168.0.1 to 190.171.255.254190.171.255.255262,142
44190.172.0.0/14190.172.0.1 to 190.175.255.254190.175.255.255262,142
45190.176.0.0/14190.176.0.1 to 190.179.255.254190.179.255.255262,142
46190.180.0.0/14190.180.0.1 to 190.183.255.254190.183.255.255262,142
47190.184.0.0/14190.184.0.1 to 190.187.255.254190.187.255.255262,142
48190.188.0.0/14190.188.0.1 to 190.191.255.254190.191.255.255262,142
49190.192.0.0/14190.192.0.1 to 190.195.255.254190.195.255.255262,142
50190.196.0.0/14190.196.0.1 to 190.199.255.254190.199.255.255262,142
51190.200.0.0/14190.200.0.1 to 190.203.255.254190.203.255.255262,142
52190.204.0.0/14190.204.0.1 to 190.207.255.254190.207.255.255262,142
53190.208.0.0/14190.208.0.1 to 190.211.255.254190.211.255.255262,142
54190.212.0.0/14190.212.0.1 to 190.215.255.254190.215.255.255262,142
55190.216.0.0/14190.216.0.1 to 190.219.255.254190.219.255.255262,142
56190.220.0.0/14190.220.0.1 to 190.223.255.254190.223.255.255262,142
57190.224.0.0/14190.224.0.1 to 190.227.255.254190.227.255.255262,142
58190.228.0.0/14190.228.0.1 to 190.231.255.254190.231.255.255262,142
59190.232.0.0/14190.232.0.1 to 190.235.255.254190.235.255.255262,142
60190.236.0.0/14190.236.0.1 to 190.239.255.254190.239.255.255262,142
61190.240.0.0/14190.240.0.1 to 190.243.255.254190.243.255.255262,142
62190.244.0.0/14190.244.0.1 to 190.247.255.254190.247.255.255262,142
63190.248.0.0/14190.248.0.1 to 190.251.255.254190.251.255.255262,142
64190.252.0.0/14190.252.0.1 to 190.255.255.254190.255.255.255262,142
65191.0.0.0/14191.0.0.1 to 191.3.255.254191.3.255.255262,142
66191.4.0.0/14191.4.0.1 to 191.7.255.254191.7.255.255262,142
67191.8.0.0/14191.8.0.1 to 191.11.255.254191.11.255.255262,142
68191.12.0.0/14191.12.0.1 to 191.15.255.254191.15.255.255262,142
69191.16.0.0/14191.16.0.1 to 191.19.255.254191.19.255.255262,142
70191.20.0.0/14191.20.0.1 to 191.23.255.254191.23.255.255262,142
71191.24.0.0/14191.24.0.1 to 191.27.255.254191.27.255.255262,142
72191.28.0.0/14191.28.0.1 to 191.31.255.254191.31.255.255262,142
73191.32.0.0/14191.32.0.1 to 191.35.255.254191.35.255.255262,142
74191.36.0.0/14191.36.0.1 to 191.39.255.254191.39.255.255262,142
75191.40.0.0/14191.40.0.1 to 191.43.255.254191.43.255.255262,142
76191.44.0.0/14191.44.0.1 to 191.47.255.254191.47.255.255262,142
77191.48.0.0/14191.48.0.1 to 191.51.255.254191.51.255.255262,142
78191.52.0.0/14191.52.0.1 to 191.55.255.254191.55.255.255262,142
79191.56.0.0/14191.56.0.1 to 191.59.255.254191.59.255.255262,142
80191.60.0.0/14191.60.0.1 to 191.63.255.254191.63.255.255262,142
81191.64.0.0/14191.64.0.1 to 191.67.255.254191.67.255.255262,142
82191.68.0.0/14191.68.0.1 to 191.71.255.254191.71.255.255262,142
83191.72.0.0/14191.72.0.1 to 191.75.255.254191.75.255.255262,142
84191.76.0.0/14191.76.0.1 to 191.79.255.254191.79.255.255262,142
85191.80.0.0/14191.80.0.1 to 191.83.255.254191.83.255.255262,142
86191.84.0.0/14191.84.0.1 to 191.87.255.254191.87.255.255262,142
87191.88.0.0/14191.88.0.1 to 191.91.255.254191.91.255.255262,142
88191.92.0.0/14191.92.0.1 to 191.95.255.254191.95.255.255262,142
89191.96.0.0/14191.96.0.1 to 191.99.255.254191.99.255.255262,142
90191.100.0.0/14191.100.0.1 to 191.103.255.254191.103.255.255262,142
91191.104.0.0/14191.104.0.1 to 191.107.255.254191.107.255.255262,142
92191.108.0.0/14191.108.0.1 to 191.111.255.254191.111.255.255262,142
93191.112.0.0/14191.112.0.1 to 191.115.255.254191.115.255.255262,142
94191.116.0.0/14191.116.0.1 to 191.119.255.254191.119.255.255262,142
95191.120.0.0/14191.120.0.1 to 191.123.255.254191.123.255.255262,142
96191.124.0.0/14191.124.0.1 to 191.127.255.254191.127.255.255262,142
97191.128.0.0/14191.128.0.1 to 191.131.255.254191.131.255.255262,142
98191.132.0.0/14191.132.0.1 to 191.135.255.254191.135.255.255262,142
99191.136.0.0/14191.136.0.1 to 191.139.255.254191.139.255.255262,142
100191.140.0.0/14191.140.0.1 to 191.143.255.254191.143.255.255262,142
101191.144.0.0/14191.144.0.1 to 191.147.255.254191.147.255.255262,142
102191.148.0.0/14191.148.0.1 to 191.151.255.254191.151.255.255262,142
103191.152.0.0/14191.152.0.1 to 191.155.255.254191.155.255.255262,142
104191.156.0.0/14191.156.0.1 to 191.159.255.254191.159.255.255262,142
105191.160.0.0/14191.160.0.1 to 191.163.255.254191.163.255.255262,142
106191.164.0.0/14191.164.0.1 to 191.167.255.254191.167.255.255262,142
107191.168.0.0/14191.168.0.1 to 191.171.255.254191.171.255.255262,142
108191.172.0.0/14191.172.0.1 to 191.175.255.254191.175.255.255262,142
109191.176.0.0/14191.176.0.1 to 191.179.255.254191.179.255.255262,142
110191.180.0.0/14191.180.0.1 to 191.183.255.254191.183.255.255262,142
111191.184.0.0/14191.184.0.1 to 191.187.255.254191.187.255.255262,142
112191.188.0.0/14191.188.0.1 to 191.191.255.254191.191.255.255262,142
113191.192.0.0/14191.192.0.1 to 191.195.255.254191.195.255.255262,142
114191.196.0.0/14191.196.0.1 to 191.199.255.254191.199.255.255262,142
115191.200.0.0/14191.200.0.1 to 191.203.255.254191.203.255.255262,142
116191.204.0.0/14191.204.0.1 to 191.207.255.254191.207.255.255262,142
117191.208.0.0/14191.208.0.1 to 191.211.255.254191.211.255.255262,142
118191.212.0.0/14191.212.0.1 to 191.215.255.254191.215.255.255262,142
119191.216.0.0/14191.216.0.1 to 191.219.255.254191.219.255.255262,142
120191.220.0.0/14191.220.0.1 to 191.223.255.254191.223.255.255262,142
121191.224.0.0/14191.224.0.1 to 191.227.255.254191.227.255.255262,142
122191.228.0.0/14191.228.0.1 to 191.231.255.254191.231.255.255262,142
123191.232.0.0/14191.232.0.1 to 191.235.255.254191.235.255.255262,142
124191.236.0.0/14191.236.0.1 to 191.239.255.254191.239.255.255262,142
125191.240.0.0/14191.240.0.1 to 191.243.255.254191.243.255.255262,142
126191.244.0.0/14191.244.0.1 to 191.247.255.254191.247.255.255262,142
127191.248.0.0/14191.248.0.1 to 191.251.255.254191.251.255.255262,142
128191.252.0.0/14191.252.0.1 to 191.255.255.254191.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses